Security update for nodejs8

SUSE Security Update: Security update for nodejs8
Announcement ID: SUSE-SU-2021:0224-1
Rating: moderate
References: #1180554
Cross-References:CVE-2020-8287
Affected Products:
  • SUSE Manager Server 4.0
  • SUSE Manager Retail Branch Server 4.0
  • SUSE Manager Proxy 4.0
  • SUSE Linux Enterprise Server for SAP 15-SP1
  • SUSE Linux Enterprise Server for SAP 15
  • SUSE Linux Enterprise Server 15-SP1-LTSS
  • SUSE Linux Enterprise Server 15-SP1-BCL
  • SUSE Linux Enterprise Server 15-LTSS
  • SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS
  • SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS
  • SUSE Linux Enterprise High Performance Computing 15-LTSS
  • SUSE Linux Enterprise High Performance Computing 15-ESPOS
  • SUSE Enterprise Storage 6
  • SUSE CaaS Platform 4.0

An update that fixes one vulnerability is now available.

Description:

This update for nodejs8 fixes the following issue:

  • CVE-2020-8287: Fixed an HTTP request smuggling vulnerability (bsc#1180554).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Manager Server 4.0:
    zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-224=1
  • SUSE Manager Retail Branch Server 4.0:
    zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-224=1
  • SUSE Manager Proxy 4.0:
    zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-224=1
  • SUSE Linux Enterprise Server for SAP 15-SP1:
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP1-2021-224=1
  • SUSE Linux Enterprise Server for SAP 15:
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2021-224=1
  • SUSE Linux Enterprise Server 15-SP1-LTSS:
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-224=1
  • SUSE Linux Enterprise Server 15-SP1-BCL:
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP1-BCL-2021-224=1
  • SUSE Linux Enterprise Server 15-LTSS:
    zypper in -t patch SUSE-SLE-Product-SLES-15-2021-224=1
  • SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS:
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-224=1
  • SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS:
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-224=1
  • SUSE Linux Enterprise High Performance Computing 15-LTSS:
    zypper in -t patch SUSE-SLE-Product-HPC-15-2021-224=1
  • SUSE Linux Enterprise High Performance Computing 15-ESPOS:
    zypper in -t patch SUSE-SLE-Product-HPC-15-2021-224=1
  • SUSE Enterprise Storage 6:
    zypper in -t patch SUSE-Storage-6-2021-224=1
  • SUSE CaaS Platform 4.0:
    To install this update, use the SUSE CaaS Platform 'skuba' tool. I will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way.

Package List:

  • SUSE Manager Server 4.0 (ppc64le s390x x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Manager Server 4.0 (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE Manager Retail Branch Server 4.0 (x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Manager Retail Branch Server 4.0 (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE Manager Proxy 4.0 (x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Manager Proxy 4.0 (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE Linux Enterprise Server for SAP 15-SP1 (ppc64le x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Linux Enterprise Server for SAP 15-SP1 (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE Linux Enterprise Server for SAP 15 (ppc64le x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Linux Enterprise Server for SAP 15 (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE Linux Enterprise Server 15-SP1-LTSS (aarch64 ppc64le s390x x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Linux Enterprise Server 15-SP1-LTSS (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE Linux Enterprise Server 15-SP1-BCL (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE Linux Enterprise Server 15-SP1-BCL (x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Linux Enterprise Server 15-LTSS (aarch64 s390x):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Linux Enterprise Server 15-LTSS (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (aarch64 x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (aarch64 x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64 x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Linux Enterprise High Performance Computing 15-LTSS (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64 x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Linux Enterprise High Performance Computing 15-ESPOS (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE Enterprise Storage 6 (aarch64 x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2
  • SUSE Enterprise Storage 6 (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE CaaS Platform 4.0 (noarch):
    • nodejs8-docs-8.17.0-3.42.2
  • SUSE CaaS Platform 4.0 (x86_64):
    • nodejs8-8.17.0-3.42.2
    • nodejs8-debuginfo-8.17.0-3.42.2
    • nodejs8-debugsource-8.17.0-3.42.2
    • nodejs8-devel-8.17.0-3.42.2
    • npm8-8.17.0-3.42.2

References: